﻿/*
project: LabelImages
version: 1.0
idea: Andrey Okunev
code and further idea development: Vlad Ossipov mailto:pp.ossipov@inbox.ru http://ossipov.info
these script partially based on "Скользящие колонтитулы v1.0" by Максим Стринжа mailto:job4job@mail.ru

special thanks to Rustem Tagirov
dedicate to Jane

date: 28.05.2006

description:
These script place label (based on Regular Expression calculation) of image (which have script label "img1", without quotes) filename
at the textframe which have script label "name1" (without quotes).
Every page can contain some pairs of image and label. Just add next number to label for next pair.
For example: first pair is "img1" and "name1", second pair is "img2" and "name2".

no warranty:
Because the script is distributed free of charge,
there is no warranty for the script,
to the extent permitted by applicable law.
The entire risk as to the quality and performance of the script is with you.
Should the script prove defective, you assume the cost of all necessary servicing, repair or correction. */

//@include 'LabelImages.ini';
//@include 'LabelImages.ru.slang';

with (app) {
	page = 0
	
	while (page<activeDocument.pages.length) {
		myPage=activeDocument.pages[page]
		myMaster=myPage.appliedMaster
		for (i = 1; i <= myPage.pageItems.length; i++) {
			try {
				p = myPage.pageItems.item('img'+i.toString()).graphics[0].itemLink.filePath
			}
			catch (error) {
				if (i ==1) { alert (langOnPage+myPage.name+langNoImg+i.toString()+langFileError) }
				break
			}
			sFileName = new File(p).name
			stampFileName = re.exec(sFileName)
			myTemp=myMaster.textFrames.item('name'+i.toString());	

				try{
					myFrame = myTemp.override(myPage);
					myFrame.contents=stampFileName[0];
				}
				catch(error){
					try{
						myFrame = myPage.textFrames.item('name'+i.toString())
						myFrame.contents=stampFileName[0];
					}
					catch(error){
						if (i ==1) { alert(langOnPage+myPage.name+langNoTextFrame+i.toString()) }
					}
				}
				finally{
				}
		}
		page++
	}
}